<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.DatePicker?>
<?import javafx.scene.control.Label?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.ColumnConstraints?>
<?import javafx.scene.layout.GridPane?>
<?import javafx.scene.layout.RowConstraints?>
<?import javafx.scene.text.Font?>

<AnchorPane id="AnchorPane" minHeight="-Infinity" minWidth="-Infinity" prefHeight="394.0" prefWidth="618.0" xmlns="http://javafx.com/javafx/8.0.171" xmlns:fx="http://javafx.com/fxml/1" fx:controller="domesticlogs.controller.NewLogController">
	<children>
		<GridPane alignment="CENTER" hgap="3.0" layoutX="6.0" layoutY="53.0" nodeOrientation="LEFT_TO_RIGHT" prefHeight="167.0" prefWidth="612.0" vgap="10.0">
			<columnConstraints>
				<ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
				<ColumnConstraints hgrow="SOMETIMES" minWidth="10.0" prefWidth="100.0" />
			</columnConstraints>
			<rowConstraints>
				<RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
				<RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
				<RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
            <RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
				<RowConstraints minHeight="10.0" prefHeight="30.0" vgrow="SOMETIMES" />
			</rowConstraints>
			<children>
				<Label contentDisplay="RIGHT" text="Particulars :-">
					<GridPane.margin>
						<Insets left="120.0" />
					</GridPane.margin>
					<font>
						<Font name="Britannic Bold" size="12.0" />
					</font>
				</Label>
				<Label text="Quantity :-" GridPane.rowIndex="1">
					<GridPane.margin>
						<Insets left="120.0" />
					</GridPane.margin>
					<font>
						<Font name="Britannic Bold" size="12.0" />
					</font>
				</Label>
				<Label text="Amount :-" GridPane.rowIndex="2">
					<GridPane.margin>
						<Insets left="120.0" />
					</GridPane.margin>
					<font>
						<Font name="Britannic Bold" size="12.0" />
					</font>
				</Label>
				<Label text="Comment  :-" GridPane.rowIndex="4">
					<GridPane.margin>
						<Insets left="120.0" />
					</GridPane.margin>
					<font>
						<Font name="Britannic Bold" size="12.0" />
					</font>
				</Label>
				<TextField fx:id="particularsTextField" maxHeight="-Infinity" maxWidth="-Infinity" prefHeight="25.0" prefWidth="221.0" GridPane.columnIndex="1" />
				<TextField fx:id="quantityTextField" maxHeight="-Infinity" maxWidth="-Infinity" prefHeight="25.0" prefWidth="221.0" GridPane.columnIndex="1" GridPane.rowIndex="1" />
				<TextField fx:id="amountTextField" maxHeight="-Infinity" maxWidth="-Infinity" prefHeight="25.0" prefWidth="221.0" GridPane.columnIndex="1" GridPane.rowIndex="2" />
				<TextField fx:id="commentTextField" maxHeight="-Infinity" maxWidth="-Infinity" prefHeight="25.0" prefWidth="223.0" GridPane.columnIndex="1" GridPane.rowIndex="4" />
            <Label prefHeight="17.0" prefWidth="39.0" text=" Date :-" GridPane.rowIndex="3">
               <font>
                  <Font name="Britannic Bold" size="12.0" />
               </font>
               <GridPane.margin>
                  <Insets left="120.0" />
               </GridPane.margin>
            </Label>
            <DatePicker  fx:id="datePicker" prefHeight="25.0" prefWidth="222.0" GridPane.columnIndex="1" GridPane.rowIndex="3" />
			</children>
		</GridPane>
		<Button fx:id="saveLogButton" layoutX="176.0" layoutY="294.0" mnemonicParsing="false" onAction="#OnSaveLog" prefHeight="25.0" prefWidth="100.0" text="Save">
			<font>
				<Font name="Britannic Bold" size="12.0" />
			</font>
		</Button>
		<Button fx:id="cacleSaveLog" layoutX="333.0" layoutY="292.0" mnemonicParsing="false" onAction="#OnCancleSaveLog" prefHeight="25.0" prefWidth="100.0" text="Cancel">
			<font>
				<Font name="Britannic Bold" size="12.0" />
			</font>
		</Button>
		<Label fx:id="createNewLog" layoutX="200.0" layoutY="20.0" prefHeight="25.0" prefWidth="400.0" text="Create New Log">
			<font>
				<Font name="Britannic Bold" size="25.0" />
			</font>
		</Label>
	</children>
</AnchorPane>
